http_parser_t Struct Reference
Collaboration diagram for http_parser_t:
[legend]

## Data Fields

http_message_t | msg
int | http_error_code
int | valid_ssdp_notify_hack
parser_pos_t | position
int | ent_position
unsigned int | content_length
size_t | chunk_size
size_t | entity_start_position
scanner_t | scanner

## Field Documentation

## entity_start_position

size_t http_parser_t::entity_start_position

offset in the the raw message buffer, which contains the message body. preceding this are the headers of the message.

Referenced by http_ReadHttpResponse(), and http_RecvPostMessage().

## http_error_code

int http_parser_t::http_error_code

read-only; in case of parse error, this contains the HTTP error code (4XX or 5XX).

Referenced by http_ReadHttpResponse(), http_RecvMessage(), http_RecvPostMessage(), and ReadResponseLineAndHeaders().

## valid_ssdp_notify_hack

int http_parser_t::valid_ssdp_notify_hack

read-only; this is set to 1 if a NOTIFY request has no content-length. used to read valid ssdp notify msg.

Referenced by start_event_handler().

The documentation for this struct was generated from the following file:

- /build/pupnp-yoxcDv/pupnp-1.14.31/upnp/src/inc/httpparser.h